import Vue from 'vue'
import GetAppDataService from './stores/AppData'
import GetStringData from './plugins/GetStringData'

/** **************************通用组件******************************/

export default function () {
  Vue.use(GetAppDataService)
  Vue.use(GetStringData)
// 测试
  Vue.component('test', (resolve) => {
    require(['./components/Test'], resolve)
  })
// android登录
  Vue.component('login-app', (resolve) => {
    require(['./components/LoginApp'], resolve)
  })
// android登录
  Vue.component('login-app-v4', (resolve) => {
    require(['./components/LoginAppV4'], resolve)
  })
// 导航
  Vue.component('nav-bottom', (resolve) => {
    require(['./components/NavBottom'], resolve)
  })
// 只加载参数（只有下拉框所需参数）
  Vue.component('load-appdata', (resolve) => {
    require(['./components/LoadAppdata'], resolve)
  })
  // 头部标题
  Vue.component('tools-page', (resolve) => {
    require(['./components/ToolsPage'], resolve)
  })
  // 设置
  Vue.component('system-setup', (resolve) => {
    require(['./components/SystemSetUp'], resolve)
  })
  // 修改密码
  Vue.component('modify-pass-word', (resolve) => {
    require(['./components/ModifyPassWord'], resolve)
  })
  // 物联网监控
  Vue.component('iot-monitoring-main', (resolve) => {
    require(['./components/iot/iotMonitoringMain'], resolve)
  })
  // 物联网监控表具信息
  Vue.component('iot-meter-info', (resolve) => {
    require(['./components/iot/IotMeterInfo'], resolve)
  })
  // 物联网监控基础信息
  Vue.component('iot-base-info', (resolve) => {
    require(['./components/iot/IotBaseInfo'], resolve)
  })
  // 物联网监控指令信息
  Vue.component('instruct-message', (resolve) => {
    require(['./components/iot/InstructMessage'], resolve)
  })
// // 只加载参数（只有下拉框所需参数）
// Vue.component('alone-load-params', (resolve) => { require(['./components/AloneLoadParams'], resolve) })
}
